maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
httplib::DataSink Class Reference

`#include <httplib.h>`

Collaboration diagram for httplib::DataSink:

## Public Member Functions
| DataSink ()
| DataSink (const DataSink &)=delete
DataSink & | operator= (const DataSink &)=delete
| DataSink (DataSink &&)=delete
DataSink & | operator= (DataSink &&)=delete

## Public Attributes
std::function< bool(const char *data, size_t data_len)> | write
std::function< bool()> | is_writable
std::function< void()> | done
std::function< void(const Headers &trailer)> | done_with_trailer
std::ostream | os

## Detailed Description

Definition at line 634 of file httplib.h.

## Constructor & Destructor Documentation

## ◆ DataSink() [1/3]

httplib::DataSink::DataSink | ( |  | ) |
| inline

Definition at line 636 of file httplib.h.

## ◆ DataSink() [2/3]

httplib::DataSink::DataSink | ( | const DataSink & |  | ) |
| delete

## ◆ DataSink() [3/3]

httplib::DataSink::DataSink | ( | DataSink && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

DataSink & httplib::DataSink::operator= | ( | const DataSink & |  | ) |
| delete

## ◆ operator=() [2/2]

DataSink & httplib::DataSink::operator= | ( | DataSink && |  | ) |
| delete

## Member Data Documentation

## ◆ done

std::function<void()> httplib::DataSink::done

Definition at line 645 of file httplib.h.

## ◆ done_with_trailer

std::function<void(const Headers &trailer)> httplib::DataSink::done_with_trailer

Definition at line 646 of file httplib.h.

## ◆ is_writable

std::function<bool()> httplib::DataSink::is_writable

Definition at line 644 of file httplib.h.

## ◆ os

std::ostream httplib::DataSink::os

Definition at line 647 of file httplib.h.

## ◆ write

std::function<bool(const char *data, size_t data_len)> httplib::DataSink::write

Definition at line 643 of file httplib.h.

The documentation for this class was generated from the following file:

- integrations/rest_api/httplib.h